ランタイム: Mix::Scene::IMotionListener Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Mix::Scene::IMotionListener Class Referenceabstract

モーションリスナーインターフェース More...

`#include <IMotionListener.h>`

Inheritance diagram for Mix::Scene::IMotionListener:
[legend]
Collaboration diagram for Mix::Scene::IMotionListener:
[legend]

## Public Member Functions

virtual | ~IMotionListener (void)
| デストラクタ More...
virtual void | OnActivate (const Mix::Scene::IMotion *pMotion, const Mix::Scene::MOTION_HANDLE &handle, Boolean bActive)=0
| 再生を開始、もしくわ終了した際に呼び出されます More...
virtual void | OnEntry (const Mix::Scene::IMotion *pMotion, const Mix::Scene::MOTION_HANDLE &handle, const Mix::Scene::MOTION_ENTRY_DESC &desc, Float32 frame)=0
| ユーザーが指定した範囲に入った際に呼び出されます More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Additional Inherited Members

Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

モーションリスナーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IMotionListener::~IMotionListener | ( | void |  | ) |

inlinevirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Scene::IMotionListener::OnActivate | ( | const Mix::Scene::IMotion * | pMotion,
|  | const Mix::Scene::MOTION_HANDLE & | handle,
|  | Boolean | bActive
| ) |  |

pure virtual

再生を開始、もしくわ終了した際に呼び出されます

Parameters

  [in] | pMotion | 再生を開始した、もしくわ終了したモーションを表す Mix::Scene::IMotion インターフェースのポインタ
  [in] | handle | 再生を開始した、もしくわ終了したモーションのハンドル
  [in] | bActive | 再生を開始した場合は、True 再生を終了した場合は False

virtual void Mix::Scene::IMotionListener::OnEntry | ( | const Mix::Scene::IMotion * | pMotion,
|  | const Mix::Scene::MOTION_HANDLE & | handle,
|  | const Mix::Scene::MOTION_ENTRY_DESC & | desc,
|  | Float32 | frame
| ) |  |

pure virtual

ユーザーが指定した範囲に入った際に呼び出されます

Parameters

  [in] | pMotion | 再生を開始したモーションを表す Mix::Scene::IMotion インターフェースのポインタ
  [in] | handle | 範囲に入ったモーションのハンドル
  [in] | desc | エントリーを表す Mix::Scene::MOTION_ENTRY_DESC 構造体
  [in] | frame | 範囲に入った際のフレーム

The documentation for this class was generated from the following file:

- Mix/Scene/IMotionListener.h